Subject: Re: bug#50187: 28.0.50; tramp is called from calendar

From: Michael Heerdegen <[email-masked]>
Date: Tue, 23 Aug 2022 04:18:23 +0200

Sam Steingold <[email-masked]> writes:

> (because `.' is a part of `load-path'

Ok, but it's not there by default, right?

> so it is resolved against the tramp `default-directory').
>
> Maybe a solution is to _never_ inherit `default-directory' unless
> there is a _reason_ for that.  E.g., `*vc-diff*' should not inherit
> `default-directory' from `*vc*' implicitly, but by an explicit action.
> However, this will break so much existing code that you wouldn't even
> consider that.
> On the other hand, "explicitly non-file" modes (like, e.g., `*Custom*'
> or `*Help*') should probably reset `default-directory'.

What you suggest would at least partly reverse the effect of having
default-directory in load-path.  Maybe you should just remove it?

Michael.